| Openscape Voice V10 - SOAP Interface Documentation

Classes | Functions
Class of Restriction

Class of Restriction Definitions and Methods. More...

## Classes
struct | unsp__TrafficTypeNamesList
| List of Traffic Type Names. More...
struct | unsp__CreateCORRequest
| Create Class of Restriction request. More...
struct | unsp__CreateCORResult
| Create Class of Restriction result. More...
struct | unsp__ModifyCORRequest
| Modify Class of Restriction request. More...
struct | unsp__ModifyCORResult
| Modify Class of Restriction result. More...
struct | unsp__DeleteCORRequest
| Delete Class of Restriction request. More...
struct | unsp__DeleteCORResult
| Delete Class of Restriction result. More...
struct | unsp__QueryCORNamesListRequest
| Query Class of Restriction Names request. More...
struct | unsp__CORNamesList
| List of Class of Restriction Names. More...
struct | unsp__QueryCORNamesListResult
| Query Class of Restriction Names result. More...
struct | unsp__QueryCORInfoListRequest
| Query Class of Restriction Information request. More...
struct | unsp__QueryCORInfoListResult
| Query Class of restriction Information result. More...
struct | unsp__QueryCORUsageListRequest
| Query Class of Restriction Usage request. More...
struct | unsp__CORUsageListEntry
| Usage List Entry. More...
struct | unsp__CORUsageList
| Usage List. More...
struct | unsp__QueryCORUsageListResult
| Query Class of Restriction Usage result. More...
struct | unsp__CORGroupKeyList
| List of Authorization Code Group Keys. More...
struct | unsp__QueryCORGroupKeyListRequest
| Query Class of Restriction Authorization Code Group Keys request. More...
struct | unsp__QueryCORGroupKeyListResult
| Query Class of Restriction Authorization Code Group Keys result. More...

## Functions
int | unsp__CreateCOR (struct unsp__CreateCORRequest CreateCORRequest, struct unsp__CreateCORResult *CreateCORResult)
| This method creates a Class of Restriction. More...
int | unsp__ModifyCOR (struct unsp__ModifyCORRequest ModifyCORRequest, struct unsp__ModifyCORResult *ModifyCORResult)
| This method allows the modification of the name of a Class of Restriction if a new name is provided. More...
int | unsp__DeleteCOR (struct unsp__DeleteCORRequest DeleteCORRequest, struct unsp__DeleteCORResult *DeleteCORResult)
| This method deletes a Class of Restriction. More...
int | unsp__QueryCORNamesList (struct unsp__QueryCORNamesListRequest QueryCORNamesListRequest, struct unsp__QueryCORNamesListResult *QueryCORNamesListResult)
| This method retrieves the List of Class of Restrictions. More...
int | unsp__QueryCORInfoList (struct unsp__QueryCORInfoListRequest QueryCORInfoListRequest, struct unsp__QueryCORInfoListResult *QueryCORInfoListResult)
| This method allows querying for the values of the Traffic Types in a specific Class of Restriction. More...
int | unsp__QueryCORUsageList (struct unsp__QueryCORUsageListRequest QueryCORUsageListRequest, struct unsp__QueryCORUsageListResult *QueryCORUsageListResult)
| This method allows the retrieval of the list of Subscribers and/or Endpoint Profiles that are using a Class of Restriction through the Call Forward Restrictions (CFR), the AuthCode and TRS services. More...
int | unsp__QueryCORGroupKeyList (struct unsp__QueryCORGroupKeyListRequest QueryCORGroupKeyListRequest, struct unsp__QueryCORGroupKeyListResult *QueryCORGroupKeyListResult)
| This method returns a list of the Authorization Code Group Keys that are associated with the requested Class of Restriction. More...

## Detailed Description

Class of Restriction Definitions and Methods.

Class of Restrictions can be provisioned under the Default Number Plan. A Class of Restriction is used to group a number of Traffic Types. Classes of restrictions can be used by the features TRS (Subscribers, FeatureProfile, Endpoint Profile), CFR (Subscribers, Features Profile), AuthCode (Subscribers, Features Profile), in order to determine whether to disallow the call or request an authorization code before allowing the call to go through.

## Function Documentation

## ◆ unsp__CreateCOR()

unsp__CreateCOR | ( | struct unsp__CreateCORRequest | CreateCORRequest,
|  | struct unsp__CreateCORResult * | CreateCORResult
| ) |  |

This method creates a Class of Restriction.

A Class of Restriction consists of a List with a combination of Generic Traffic Types.

Parameters

  CreateCORRequest | API request
  CreateCORResult | API result MP2 command: CORCREATE [Attributes]

## ◆ unsp__DeleteCOR()

unsp__DeleteCOR | ( | struct unsp__DeleteCORRequest | DeleteCORRequest,
|  | struct unsp__DeleteCORResult * | DeleteCORResult
| ) |  |

This method deletes a Class of Restriction.

Parameters

  DeleteCORRequest | API request
  DeleteCORResult | API result MP2 command: CORDELETE [Attributes]

## ◆ unsp__ModifyCOR()

unsp__ModifyCOR | ( | struct unsp__ModifyCORRequest | ModifyCORRequest,
|  | struct unsp__ModifyCORResult * | ModifyCORResult
| ) |  |

This method allows the modification of the name of a Class of Restriction if a new name is provided.

Moreover, the modification of the Traffic Type List associated with the COR is supported.

Parameters

  ModifyCORRequest | API request
  ModifyCORResult | API result MP2 command: CORMODIFY [Attributes]

## ◆ unsp__QueryCORGroupKeyList()

unsp__QueryCORGroupKeyList | ( | struct unsp__QueryCORGroupKeyListRequest | QueryCORGroupKeyListRequest,
|  | struct unsp__QueryCORGroupKeyListResult * | QueryCORGroupKeyListResult
| ) |  |

This method returns a list of the Authorization Code Group Keys that are associated with the requested Class of Restriction.

The Authorization Code Toll Restriction Override service is a system wide service that allows administrators to create groups of authorization codes. For each group a class of restriction can be defined that contains the toll restricted traffic types that are overridden. Authorization Code Groups are formed by simply using the leading digits of the authorization codes as the key that identifies a group. This feature is activated system-wide by setting the Srx/Main/ AuthTRSOverride RTP parameter to true. The group keys and Class of restriction associations are stored in the Srx/Main/ AuthTRSOverrideValues RTP parameter in the following format:

GroupKey1:COR1;GroupKey2:COR2; ...

Once activated, all off-net destinations marked with a generic traffic type (i.e. non- emergency traffic type) will be restricted unless the traffic type is listed in a class of restriction assigned to the authorization code group to which the authorization code entered on the call belongs.

After the validation of an entered authorization code, the Authorization Code Toll Restriction Override service when activated, matches the entered authorization code against the Authorization Code Group keys.

- If no key matches, then no toll restrictions will be overridden, i.e. the currently restricted traffic types will remain in effect and the call will be released as if the call were restricted by the toll restriction service.
- If 1 key matches, then the traffic type of the call will be looked up in the class of restriction that is associated to the key. If it is listed, then the call may proceed. If it is not listed, the call will be released as if the call were restricted by the toll restriction service.
- If more than 1 key matches, the best matching key (on key length) is used. The traffic type of the call will be looked up in the class of restriction that is associated to the matching key. If it is listed, then the call may proceed. If it is not listed, the call will be released as if the call were restricted by the toll restriction service.

Parameters

  QueryCORGroupKeyListRequest | API request
  QueryCORGroupKeyListResult | API result

## ◆ unsp__QueryCORInfoList()

unsp__QueryCORInfoList | ( | struct unsp__QueryCORInfoListRequest | QueryCORInfoListRequest,
|  | struct unsp__QueryCORInfoListResult * | QueryCORInfoListResult
| ) |  |

This method allows querying for the values of the Traffic Types in a specific Class of Restriction.

Paging is not supported since up to 128 Traffic Types can be associated with a Class of Restriction.

Parameters

  QueryCORInfoListRequest | API request
  QueryCORInfoListResult | API result

## ◆ unsp__QueryCORNamesList()

unsp__QueryCORNamesList | ( | struct unsp__QueryCORNamesListRequest | QueryCORNamesListRequest,
|  | struct unsp__QueryCORNamesListResult * | QueryCORNamesListResult
| ) |  |

This method retrieves the List of Class of Restrictions.

Parameters

  QueryCORNamesListRequest | API request
  QueryCORNamesListResult | API result

## ◆ unsp__QueryCORUsageList()

unsp__QueryCORUsageList | ( | struct unsp__QueryCORUsageListRequest | QueryCORUsageListRequest,
|  | struct unsp__QueryCORUsageListResult * | QueryCORUsageListResult
| ) |  |

This method allows the retrieval of the list of Subscribers and/or Endpoint Profiles that are using a Class of Restriction through the Call Forward Restrictions (CFR), the AuthCode and TRS services.

In the case of TRS, a standard as well an alternate Class of Restriction can be provisioned. The Query Interface shall display the usage of both Standard and Alternate Class of Restrictions.

Parameters

  QueryCORUsageListRequest | API request
  QueryCORUsageListResult | API result